LOGNAME(1)

NAME
logname - display user's login name

SYNOPSIS
logname

DESCRIPTION
The logname utility writes the user's login name to standard output followed by a newline (‘\n’).

The logname utility explicitly ignores the LOGNAME and USER environment variables because the environment cannot be trusted.

EXIT STATUS

SEE ALSO
who(1), whoami(1), getlogin(2)

STANDARDS
The logname utility is compliant with the p1003.1-2008 specification.

HISTORY
The logname command appeared in 4.4BSD.